> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a max bid for a customer

> Update the maximum bid amount for an existing max bid. The `id` path parameter is the auctionId.



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc patch /alpha/merchant/customers/{customerId}/maxBids/{id}
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/merchant/customers/{customerId}/maxBids/{id}:
    patch:
      tags:
        - Customer Actions
      summary: Update a max bid for a customer
      description: >-
        Update the maximum bid amount for an existing max bid. The `id` path
        parameter is the auctionId.
      parameters:
        - schema:
            type: string
            description: The unique ID of the customer
          required: true
          description: The unique ID of the customer
          name: customerId
          in: path
        - schema:
            type: string
            description: The auction ID of the max bid to update
          required: true
          description: The auction ID of the max bid to update
          name: id
          in: path
        - schema:
            type: string
            description: Your Auction Now API key as a Bearer token
            example: Bearer ak_XXXXXXX
          required: true
          description: Your Auction Now API key as a Bearer token
          name: Authorization
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    maxAmountDollars:
                      type: number
                      description: New maximum bid amount in USD
                  required:
                    - maxAmountDollars
                  description: Input data for updating a max bid
              required:
                - data
      responses:
        '200':
          description: Max bid updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                        description: The max bid's unique identifier
                      _creationTime:
                        type: number
                        description: When the max bid was created
                      auctionId:
                        type: string
                        description: The auction this max bid is for
                      maxAmountDollars:
                        type: number
                        description: Maximum bid amount in USD
                      didPlaceBid:
                        type: boolean
                        description: Whether an actual bid was placed
                    required:
                      - _id
                      - _creationTime
                      - auctionId
                      - maxAmountDollars
                      - didPlaceBid
                    description: The created or updated max bid
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````